@Generated(value="org.apache.camel.maven.packaging.EndpointDslMojo") public interface RestEndpointBuilderFactory
| Modifier and Type | Interface and Description |
|---|---|
static interface |
RestEndpointBuilderFactory.AdvancedRestEndpointBuilder
Advanced builder for endpoint for the REST component.
|
static interface |
RestEndpointBuilderFactory.AdvancedRestEndpointConsumerBuilder
Advanced builder for endpoint consumers for the REST component.
|
static interface |
RestEndpointBuilderFactory.AdvancedRestEndpointProducerBuilder
Advanced builder for endpoint producers for the REST component.
|
static class |
RestEndpointBuilderFactory.RestBindingMode
Proxy enum for
org.apache.camel.spi.RestConfiguration$RestBindingMode enum. |
static interface |
RestEndpointBuilderFactory.RestBuilders |
static interface |
RestEndpointBuilderFactory.RestEndpointBuilder
Builder for endpoint for the REST component.
|
static interface |
RestEndpointBuilderFactory.RestEndpointConsumerBuilder
Builder for endpoint consumers for the REST component.
|
static interface |
RestEndpointBuilderFactory.RestEndpointProducerBuilder
Builder for endpoint producers for the REST component.
|
| Modifier and Type | Method and Description |
|---|---|
static RestEndpointBuilderFactory.RestEndpointBuilder |
restEndpoint(String path)
REST (camel-rest)
The rest component is used for either hosting REST services (consumer) or
calling external REST services (producer).
|
static RestEndpointBuilderFactory.RestEndpointBuilder restEndpoint(String path)
rest:method:path:uriTemplate
Path parameter: method (required)
HTTP method to use.
The value can be one of: get, post, put, delete, patch, head, trace,
connect, options
Path parameter: path (required)
The base path
Path parameter: uriTemplate
The uri templateApache Camel